jxl: support both old 0.6.1 and new 0.7.0 libjxl API

New libjxl API changed the way how lossless 16bit depth images
must be encoded: codestream level 10 must be set,
which implies use of container format.
Unfortunately, there isn’t version number inside libjxl header yet,
so we must detect new version on cmake/PkgConfig level.
6 jobs for !77 with master in 1 minute and 32 seconds (queued for 2 seconds)
latest merge request